Summary:	Web Downloader for X
Name:		d4x
Version:	2.5.7.1
Release:	%mkrel 21
License:	Artistic
Group:		Networking/File transfer
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-zh_TW.po.bz2
Source2:	%{name}-pt_BR.po.bz2
Source3:	%{name}-de.po.bz2
Patch0:		%{name}-2.5.7.1-fix-deprecated-gtk.patch
Patch1:		%{name}-2.5.7.1-fix-str-fmt.patch
Patch2:		%{name}-2.5.7.1-gcc4.4.patch
Patch3:		%{name}-2.5.7.1-remove-esd-check.patch
Patch4:		%{name}-2.5.7.1-link.patch
Patch5:		%{name}-2.5.7.1-mga-desktop-file.patch
Patch6:		%{name}-2.5.0-alt-be-locale.patch
Patch7:		%{name}-2.5.7.1-mga-wrong-var.patch
URL:		http://www.krasu.ru/soft/chuchelo/
BuildRequires:	pkgconfig(ao)
BuildRequires:	gtk+2-devel
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(openssl)
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	boost-devel
Obsoletes:	nt
Provides:	nt

%description
This program lets you download files from internet/intranet using
ftp, http or https protocol.
Main features:
    * multithreaded design
    * convient user-friendly interface
    * automatic resuming after connection breaks
    * multiple simultaneous downloads
    * recursive ftp and http downloading
    * wildcards support for ftp recursing
    * proxy support (ftp and http)
    * supports for traffic limitation
    * mass downloading function
    * and other ...

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1
bzcat %{SOURCE2} > po/pt_BR.po
bzcat %{SOURCE3} > po/de.po

%build
autoreconf -fi
%configure \
	--enable-release \
	--disable-esd \
	--disable-oss \
	--enable-libao

# force gmo file regeneration
rm -f po/stamp-po
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 share/%{name}_aqua.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt-gray.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt.png %{buildroot}%{_datadir}/pixmaps/

install -m 644 -D share/nt.desktop %{buildroot}%{_datadir}/applications/nt.desktop

mkdir -p %{buildroot}%{_miconsdir} \
	  %{buildroot}%{_liconsdir} \
	  %{buildroot}%{_iconsdir}

install -m 644 share/nt.png %{buildroot}%{_iconsdir}/nt.png
convert -size 16x16 share/nt.png %{buildroot}%{_miconsdir}/nt.png
convert -size 48x48 share/nt.png %{buildroot}%{_liconsdir}/nt.png

# traditional Chinese translation
if test ! -d %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES; then
  mkdir -p %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES
  bzcat %{SOURCE1} | msgfmt -o %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES/%{name}.mo -
fi

# man page for all binaries
cp -f %{buildroot}%{_mandir}/man1/nt.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README* PLANS TODO
%{_bindir}/*
%{_datadir}/applications/nt.desktop
%{_miconsdir}/nt.png
%{_iconsdir}/nt.png
%{_liconsdir}/nt.png
%{_datadir}/pixmaps/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/nt.1*
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jul 23 2022 danf <danf> 2.5.7.1-21.mga9
+ Revision: 1870286
- Fix an application bug that caused a compilation failure
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Thu Feb 13 2020 umeabot <umeabot> 2.5.7.1-19.mga8
+ Revision: 1511807
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.5.7.1-18.mga7
+ Revision: 1297394
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 2.5.7.1-17.mga7
+ Revision: 1152159
- rebuild for openssl 1.1

* Wed Mar 02 2016 umeabot <umeabot> 2.5.7.1-16.mga6
+ Revision: 983348
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 2.5.7.1-15.mga6
+ Revision: 953656
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 alexl <alexl> 2.5.7.1-14.mga6
+ Revision: 870600
- add Belarusian translation
- fix Spanish 'Comment' for desktop file

* Fri Aug 28 2015 alexl <alexl> 2.5.7.1-13.mga6
+ Revision: 870566
- update German translation
- update desktop file
- add man page for all binaries
- cleanup spec

* Wed Oct 15 2014 umeabot <umeabot> 2.5.7.1-12.mga5
+ Revision: 745572
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.7.1-11.mga5
+ Revision: 678662
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 vaci0 <vaci0> 2.5.7.1-10.mga5
+ Revision: 666571
- Fix spec file .desktop

* Sat Oct 19 2013 umeabot <umeabot> 2.5.7.1-9.mga4
+ Revision: 529385
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 2.5.7.1-8.mga4
+ Revision: 451719
- rebuild for new boost

* Fri Jan 11 2013 umeabot <umeabot> 2.5.7.1-7.mga3
+ Revision: 348540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 2.5.7.1-6.mga3
+ Revision: 328107
- fix linkage

* Fri May 13 2011 dmorgan <dmorgan> 2.5.7.1-6.mga1
+ Revision: 97667
- Fix esd check
- We not link anything agaounst esound anymore
- imported package d4x

